Page MenuHomePhabricator

WWT: Set up WWT for Translatewiki [small]
Closed, ResolvedPublic

Description

As a PM, I want WWT set up for translatewiki.net, so that WWT can be used by people in other languages.

NOTE: We'll need a logo for this work, so we're dependent on T233895

Acceptance Criteria:

  • Do all necessary steps to set up WWT for Translatewiki (to be hashed out in Estimation meeting)

Event Timeline

ifried created this task.Oct 1 2019, 9:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2019, 9:46 PM
ifried updated the task description. (Show Details)Oct 1 2019, 9:49 PM
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)

T187379: Hook up Grant metrics with TWN is an example of when we did this in the past.

ifried renamed this task from WWT: Set up WWT for Translatewiki to WWT: Set up WWT for Translatewiki [small].Oct 1 2019, 11:07 PM
ifried moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.

Change 540539 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[translatewiki@master] Add config for whowrotethat

https://gerrit.wikimedia.org/r/540539

I've also invited the translatewiki Github user to have write access to the https://github.com/wikimedia/WhoWroteThat repo.

After the patch has been merged, https://translatewiki.net/wiki/Group_descriptions needs to be updated.

abi_ added a subscriber: abi_.

The patch looks good, I'll merge it when I'm about to deploy the twn server.

Group description to be added,

<!--T:whowrotethat-->
[[Translating:WhoWroteThat?|WhoWroteThat?]] is a Wikipedia gadget to a browser extension to display article contribution information. Powered by WikiWho.

I have accepted the invite.

Patch to remove the ext- from message and class names: https://github.com/wikimedia/WhoWroteThat/pull/62

PR62 merged.

@abi_ okay, this is good to go now. Thanks!

Change 540539 merged by jenkins-bot:
[translatewiki@master] Add config for whowrotethat

https://gerrit.wikimedia.org/r/540539

abi_ closed this task as Resolved.Oct 14 2019, 3:10 PM

The related patch has been deployed. WhoWroteThat can now be translated via TWN.

Sam has updated the group description page already.

Nemo_bis updated the task description. (Show Details)Oct 15 2019, 5:46 AM